package com.example.demo.repositories;

import com.example.demo.models.Game;
import com.example.demo.models.Play;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

import java.util.List;
import java.util.Optional;

public interface PlayRepository extends CrudRepository<Play, Long> {
    @Query("select distinct p from Play p left join fetch p.customers c where p.id = ?1")
    Optional<Play> findById(Long id);

    @Query("select distinct p from Play p left join fetch p.customers c")
    List<Play> findAll();
}
